#!/bin/bash
#
# source: http://www.linuxprinting.org/download/foomatic/foomatic-filters-ppds-20080624.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft="foomatic-ppds"
softversion="20080624"
arch="i486"
cpu="i686"
packageversion="54.1"

buildir=$(pwd)
srcpkg="$buildir/foomatic-filters-ppds-$softversion.tar.gz"
src="$buildir/foomatic-filters-ppds-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

             |-----handy-ruler-----------------------------------------------------|
foomatic-ppds: foomatic-ppds (This package contains all PPD files)
foomatic-ppds:
foomatic-ppds: This package contains many PPD for many printers:
foomatic-ppds:
foomatic-ppds: Alps, Anitech, Apollo, Apple, Avery, Brother, CItoh, Canon,Citizen,
foomatic-ppds: Compaq, DEC, Dell, Dymo, Epson, Fujitsu, Generic, Gestetner,
foomatic-ppds: Heidelberg, Hitachi, IBM, Imagen, Infotec, Kodak, Kyocera, Lanier,
foomatic-ppds: Lexmark, Minolta, Mitsubishi, NEC, NRG, Oce, Okidata, Olivetti, PCPI,
foomatic-ppds: Panasonic, Pentax, QMS, Raven, Ricoh, Samsung, Savin, Seiko, Sharp,
foomatic-ppds: SiPix, Sony, Star, Tally,Tektronix, Toshiba, Xerox
foomatic-ppds:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/usr/share/foomatic

cp -a $src/share/ppd $dest/usr/share/foomatic
rm -rf $dest/usr/share/foomatic/ppd/HP

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a COPYING README $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/share/cups/model
cd $dest/usr/share/cups/model
ln -sf /usr/share/foomatic/ppd foomatic.ppds

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5